Imports Syncfusion.Windows.Forms
Imports System.Data
Imports System.Data.Odbc
Imports System.Reflection

Imports Syncfusion.Windows.Forms.Tools.MultiColumnTreeView
Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim strmc_guid As String = Guid.NewGuid.ToString
        Dim strCurrentMidName As String = "ROOT NODE"
        Dim trootnode As New TreeNodeAdv("R-" & strMC_GUID)
        trootnode.Tag = ""
        trootnode.Text = strCurrentMidName
        trootnode.SubItems.Add(New TreeNodeAdvSubItem("")) '0
        trootnode.SubItems.Add(New TreeNodeAdvSubItem("")) '1
        trootnode.SubItems.Add(New TreeNodeAdvSubItem("")) '2
        trootnode.SubItems.Add(New TreeNodeAdvSubItem("")) '3
        trootnode.SubItems.Add(New TreeNodeAdvSubItem("")) '4
        trootnode.SubItems.Add(New TreeNodeAdvSubItem("")) '5
        trootnode.SubItems.Add(New TreeNodeAdvSubItem("")) '6
        MultiColumnTreeView1.Nodes.Add(trootnode)
    End Sub

    Private Sub MultiColumnTreeView1_Click(sender As Object, e As EventArgs) Handles MultiColumnTreeView1.Click
        Dim strsql As String = ""
        Dim strCurrent_GUID As String = ""
        Dim x As Integer = 0

        Dim tnode As TreeNodeAdv = MultiColumnTreeView1.SelectedNode


        If tnode.SubItems(0).Text.Length > 1 Then

            If tnode.SubItems(0).Text.Substring(1, 1) = "-" Then
                'version 17.2460.0.34 would return the GUID 
                strCurrent_GUID = tnode.SubItems(0).Text.ToString.Substring(2)
            Else
                strCurrent_GUID = ""
            End If
        Else
            strCurrent_GUID = ""
        End If
        MsgBox("version 17.2460.0.34 would return the GUID ")
    End Sub
End Class
